Bug 265214 - crashes when clicking tray icon [@ Context::VerticalAppletLayout::showAtIndex]
Summary: crashes when clicking tray icon [@ Context::VerticalAppletLayout::showAtIndex]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
: 268515 270494 275898 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-02 18:40 UTC by pete_herworth
Modified: 2011-08-13 14:09 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.3


Attachments
New crash information added by DrKonqi (21.92 KB, text/plain)
2011-03-12 00:59 UTC, realzork
Details
New crash information added by DrKonqi (23.57 KB, text/plain)
2011-07-26 15:06 UTC, Felix Juhnke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pete_herworth 2011-02-02 18:40:40 UTC
Version:           2.4-GIT (using Devel) 
OS:                Linux

Amarok will open and will play music by right clicking tray icon but left clicking tray icon crashes amarok

Reproducible: Always

Steps to Reproduce:
open Amarok as normal right click tray icon

Actual Results:  
crash

Expected Results:  
view full window

KDE 4.7 unstable
Qt 4.8 (same with 4.7)
Opensuse 11.4 M6 64 bit
Debug info:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f1bfd8447a0 (LWP 19202))]

Thread 14 (Thread 0x7f1bdcca5700 (LWP 19203)):
#0  0x00007f1bf80d86f9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1be2867981 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f1bdc4a4700 (LWP 19204)):
#0  0x00007f1bf38aa4e3 in g_main_context_query () from /lib64/libglib-2.0.so.0
#1  0x00007f1bf38ab0db in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f1bf38ab710 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1bfb52db66 in QEventDispatcherGlib::processEvents (this=0x9b07f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f1bfb4ffee2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f1bfb5000f5 in QEventLoop::exec (this=0x7f1bdc4a3cd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f1bfb4093d8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:498
#7  0x00007f1be2ac5694 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f1bfb40b875 in QThreadPrivate::start (arg=0x8f0190) at thread/qthread_unix.cpp:323
#9  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f1bdba99700 (LWP 19207)):
#0  0x00007f1bf9f2e263 in poll () from /lib64/libc.so.6
#1  0x00007f1bdba9e9d7 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f1bdb256700 (LWP 19208)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1be28799fb in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f1bda41c700 (LWP 19209)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1be28799fb in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f1bd9bd9700 (LWP 19210)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1be28799fb in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f1bd7af2700 (LWP 19212)):
#0  0xffffffffff600137 in ?? ()
#1  0x00007fff254957a1 in ?? ()
#2  0x00007f1bf3b5b2b3 in clock_gettime () from /lib64/librt.so.1
#3  0x00007f1bfb45fa62 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f1bfb52e4bd in QTimerInfoList::updateCurrentTime (this=0xe29a60) at kernel/qeventdispatcher_unix.cpp:343
#6  0x00007f1bfb52e835 in QTimerInfoList::timerWait (this=0xe29a60, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#7  0x00007f1bfb52d30c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f1bd7af1b4c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f1bfb52d3b5 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f1bf38aa147 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#10 0x00007f1bf38ab069 in ?? () from /lib64/libglib-2.0.so.0
#11 0x00007f1bf38ab710 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#12 0x00007f1bfb52db66 in QEventDispatcherGlib::processEvents (this=0xe29f90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#13 0x00007f1bfb4ffee2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f1bfb5000f5 in QEventLoop::exec (this=0x7f1bd7af1ce0, flags=...) at kernel/qeventloop.cpp:201
#15 0x00007f1bfb4093d8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:498
#16 0x00007f1bfb4df228 in QInotifyFileSystemWatcherEngine::run (this=0xdf7870) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007f1bfb40b875 in QThreadPrivate::start (arg=0xdf7870) at thread/qthread_unix.cpp:323
#18 0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#19 0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#20 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#21 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f1bcab31700 (LWP 19216)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bf5e16254 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f1bf612f180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f1bf5e16289 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f1bf613d254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#4  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f1bc636a700 (LWP 19217)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bfb40c91b in wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1bf74e2f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18b4830, th=0x18b5170) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1bf74e5643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18b3080, th=0x18b5170) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1bf74e441f in ThreadWeaver::ThreadRunHelper::run (this=0x7f1bc6369d30, parent=0x18b4830, th=0x18b5170) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1bf74e44a8 in ThreadWeaver::Thread::run (this=0x18b5170) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f1bfb40b875 in QThreadPrivate::start (arg=0x18b5170) at thread/qthread_unix.cpp:323
#8  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f1bc595e700 (LWP 19218)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bfb40c91b in wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1bf74e2f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18b4830, th=0x18b5c40) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1bf74e5643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18b3080, th=0x18b5c40) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1bf74e441f in ThreadWeaver::ThreadRunHelper::run (this=0x7f1bc595dd30, parent=0x18b4830, th=0x18b5c40) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1bf74e44a8 in ThreadWeaver::Thread::run (this=0x18b5c40) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f1bfb40b875 in QThreadPrivate::start (arg=0x18b5c40) at thread/qthread_unix.cpp:323
#8  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f1bc515d700 (LWP 19219)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bfb40c91b in wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1bf74e2f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18b4830, th=0x18b7180) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1bf74e5643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18b3080, th=0x18b7180) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1bf74e441f in ThreadWeaver::ThreadRunHelper::run (this=0x7f1bc515cd30, parent=0x18b4830, th=0x18b7180) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1bf74e44a8 in ThreadWeaver::Thread::run (this=0x18b7180) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f1bfb40b875 in QThreadPrivate::start (arg=0x18b7180) at thread/qthread_unix.cpp:323
#8  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f1bc495c700 (LWP 19220)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bfb40c91b in wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18b4c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1bf74e2f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18b4830, th=0x1856080) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1bf74e5643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18b3080, th=0x1856080) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1bf74e441f in ThreadWeaver::ThreadRunHelper::run (this=0x7f1bc495bd30, parent=0x18b4830, th=0x1856080) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1bf74e44a8 in ThreadWeaver::Thread::run (this=0x1856080) at /usr/src/debug/kdelibs-4.6.41_20110106/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f1bfb40b875 in QThreadPrivate::start (arg=0x1856080) at thread/qthread_unix.cpp:323
#8  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f1bc3b21700 (LWP 19221)):
#0  0x00007f1bf80d838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1bf0ad6cf4 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f1beed52d03 in ?? () from /usr/lib64/libGL.so.1
#3  0x00007f1bf80d3a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f1bf9f373dd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1bfd8447a0 (LWP 19202)):
[KCrash Handler]
#6  data (this=0x20, which=Qt::PreferredSize, constraint=...) at ../../src/corelib/tools/qscopedpointer.h:135
#7  qGetPtrHelper<QScopedPointer<QGraphicsLayoutItemPrivate> > (this=0x20, which=Qt::PreferredSize, constraint=...) at ../../src/corelib/global/qglobal.h:2354
#8  d_func (this=0x20, which=Qt::PreferredSize, constraint=...) at ../../src/gui/graphicsview/qgraphicslayoutitem.h:120
#9  QGraphicsLayoutItem::effectiveSizeHint (this=0x20, which=Qt::PreferredSize, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:807
#10 0x00007f1bc65f16c1 in Context::VerticalAppletLayout::showAtIndex (this=0x17a2530, index=3) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/containments/verticallayout/VerticalAppletLayout.cpp:206
#11 0x00007f1bc65efe36 in Context::VerticalToolbarContainment::loadConfig (this=0x17f06f0, conf=...) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/containments/verticallayout/VerticalToolbarContainment.cpp:98
#12 0x00007f1bfc214885 in Context::ContextView::loadConfig (this=0x1798ad0) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/ContextView.cpp:210
#13 0x00007f1bfc214b3f in Context::ContextView::showHome (this=0x1798ad0) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/ContextView.cpp:190
#14 0x00007f1bfc2102fb in ContextDock::createContextView (this=0x1148d80, containment=0x17f06f0) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/ContextDock.cpp:72
#15 0x00007f1bfc210910 in ContextDock::qt_metacall (this=0x1148d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2543cdd0) at /usr/src/debug/amarok-2.4.0.60git.1296038139/build/src/ContextDock.moc:73
#16 0x00007f1bfb517151 in QMetaObject::activate (sender=0xe50eb0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff2543cdd0) at kernel/qobject.cpp:3557
#17 0x00007f1bf6711e4f in Plasma::Corona::containmentAdded (this=<value optimized out>, _t1=0x17f06f0) at /usr/src/debug/kdelibs-4.6.41_20110106/build/plasma/corona.moc:149
#18 0x00007f1bf6715ad3 in Plasma::CoronaPrivate::addContainment (this=0x11be7d0, name=<value optimized out>, args=..., id=0, delayedInit=false) at /usr/src/debug/kdelibs-4.6.41_20110106/plasma/corona.cpp:270
#19 0x00007f1bfc20f7e3 in Context::ContextScene::loadDefaultSetup (this=0xe50eb0) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/ContextScene.cpp:61
#20 0x00007f1bfc20fb2d in ContextDock::polish (this=0x1148d80) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/context/ContextDock.cpp:50
#21 0x00007f1bfc9348b1 in ensurePolish (this=0x1148d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2543d240) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/widgets/AmarokDockWidget.cpp:40
#22 slotVisibilityChanged (this=0x1148d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2543d240) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/widgets/AmarokDockWidget.cpp:33
#23 AmarokDockWidget::qt_metacall (this=0x1148d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2543d240) at /usr/src/debug/amarok-2.4.0.60git.1296038139/build/src/AmarokDockWidget.moc:73
#24 0x00007f1bfc2108f0 in ContextDock::qt_metacall (this=0x1148d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2543d240) at /usr/src/debug/amarok-2.4.0.60git.1296038139/build/src/ContextDock.moc:68
#25 0x00007f1bfb517151 in QMetaObject::activate (sender=0x1148d80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff2543d240) at kernel/qobject.cpp:3557
#26 0x00007f1bfac904f2 in QDockWidget::visibilityChanged (this=<value optimized out>, _t1=true) at .moc/release-shared/moc_qdockwidget.cpp:189
#27 0x00007f1bfac913d1 in QDockWidget::event (this=0x1148d80, event=0x7fff2543d7c0) at widgets/qdockwidget.cpp:1394
#28 0x00007f1bfa8bfb54 in QApplicationPrivate::notify_helper (this=0x7fccb0, receiver=0x1148d80, e=0x7fff2543d7c0) at kernel/qapplication.cpp:4480
#29 0x00007f1bfa8c81af in QApplication::notify (this=<value optimized out>, receiver=0x1148d80, e=0x7fff2543d7c0) at kernel/qapplication.cpp:4341
#30 0x00007f1bfd254386 in KApplication::notify (this=0x7fff2543eab0, receiver=0x1148d80, event=0x7fff2543d7c0) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/kernel/kapplication.cpp:311
#31 0x00007f1bfb500bac in QCoreApplication::notifyInternal (this=0x7fff2543eab0, receiver=0x1148d80, event=0x7fff2543d7c0) at kernel/qcoreapplication.cpp:826
#32 0x00007f1bfa913daf in sendEvent (this=0x11496d0) at ../../src/corelib/kernel/qcoreapplication.h:232
#33 QWidgetPrivate::show_helper (this=0x11496d0) at kernel/qwidget.cpp:7468
#34 0x00007f1bfa913ba1 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7776
#35 0x00007f1bfa913c9f in QWidgetPrivate::show_helper (this=0xd94e20) at kernel/qwidget.cpp:7415
#36 0x00007f1bfa9140da in QWidget::setVisible (this=0x808ee0, visible=<value optimized out>) at kernel/qwidget.cpp:7690
#37 0x00007f1bfd36cfd4 in show (this=0x1271910, show=true) at /usr/include/QtGui/qwidget.h:487
#38 KStatusNotifierItemPrivate::minimizeRestore (this=0x1271910, show=true) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/notifications/kstatusnotifieritem.cpp:900
#39 0x00007f1bfd36e76a in KStatusNotifierItemPrivate::checkVisibility (this=0x1271910, pos=..., perform=true) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/notifications/kstatusnotifieritem.cpp:552
#40 0x00007f1bfd36f1ab in KStatusNotifierItem::activate (this=0x1271280, pos=...) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/notifications/kstatusnotifieritem.cpp:521
#41 0x00007f1bfd370f23 in KStatusNotifierItemDBus::Activate (this=<value optimized out>, x=<value optimized out>, y=<value optimized out>) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/notifications/kstatusnotifieritemdbus_p.cpp:316
#42 0x00007f1bfd398f66 in StatusNotifierItemAdaptor::qt_metacall (this=0x1270570, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fff2543dda0) at /usr/src/debug/kdelibs-4.6.41_20110106/build/kdeui/statusnotifieritemadaptor.moc:169
#43 0x00007f1bf830cb58 in QDBusConnectionPrivate::deliverCall (this=0x12716d0, object=0x1270570, msg=..., metaTypes=..., slotIdx=10) at qdbusintegrator.cpp:941
#44 0x00007f1bf830dcde in QDBusConnectionPrivate::activateCall (this=0x12716d0, object=0x1270570, flags=273, msg=...) at qdbusintegrator.cpp:844
#45 0x00007f1bf830e50e in QDBusConnectionPrivate::activateObject (this=0x12716d0, node=..., msg=..., pathStartPos=<value optimized out>) at qdbusintegrator.cpp:1409
#46 0x00007f1bf830e748 in QDBusActivateObjectEvent::placeMetaCall (this=0x131b030) at qdbusintegrator.cpp:1523
#47 0x00007f1bfb515886 in QObject::event (this=0xf94d60, e=<value optimized out>) at kernel/qobject.cpp:1194
#48 0x00007f1bfa8bfb54 in QApplicationPrivate::notify_helper (this=0x7fccb0, receiver=0xf94d60, e=0x131b030) at kernel/qapplication.cpp:4480
#49 0x00007f1bfa8c81af in QApplication::notify (this=<value optimized out>, receiver=0xf94d60, e=0x131b030) at kernel/qapplication.cpp:4341
#50 0x00007f1bfd254386 in KApplication::notify (this=0x7fff2543eab0, receiver=0xf94d60, event=0x131b030) at /usr/src/debug/kdelibs-4.6.41_20110106/kdeui/kernel/kapplication.cpp:311
#51 0x00007f1bfb500bac in QCoreApplication::notifyInternal (this=0x7fff2543eab0, receiver=0xf94d60, event=0x131b030) at kernel/qcoreapplication.cpp:826
#52 0x00007f1bfb5045d5 in sendEvent (receiver=0x0, event_type=0, data=0x621a90) at kernel/qcoreapplication.h:232
#53 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x621a90) at kernel/qcoreapplication.cpp:1463
#54 0x00007f1bfb52d973 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:237
#55 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#56 0x00007f1bf38aac93 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#57 0x00007f1bf38ab470 in ?? () from /lib64/libglib-2.0.so.0
#58 0x00007f1bf38ab710 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#59 0x00007f1bfb52db0f in QEventDispatcherGlib::processEvents (this=0x63cb90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#60 0x00007f1bfa96505e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#61 0x00007f1bfb4ffee2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#62 0x00007f1bfb5000f5 in QEventLoop::exec (this=0x7fff2543ea40, flags=...) at kernel/qeventloop.cpp:201
#63 0x00007f1bfb504919 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1098
#64 0x00000000004098ea in main (argc=1, argv=0x7fff25440fe8) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/main.cpp:282
Comment 1 Myriam Schweingruber 2011-02-02 21:40:12 UTC
Which Context View applets do you have enabled?
Comment 2 pete_herworth 2011-02-02 23:12:04 UTC
Lyrics,tabs and wiki
By the way the steps to reproduce (above) should say left click not right click (sorry about that).
Comment 3 Myriam Schweingruber 2011-02-03 19:35:47 UTC
Thank you for the feedback. I wouldn't be astonished it is related to plasma.
Comment 4 pete_herworth 2011-02-03 21:42:34 UTC
I'm ashamed to say I didn't think about the applets. I removed them from the amarok ..rc files and it works fine now. 
I've even been able to add the applets back in.
You may still want to investigate but it's obviously not urgent now.
Thanks.
Comment 5 realzork 2011-03-12 00:59:57 UTC
Created attachment 57891 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:
I double clicked the tray icon but the window does not come up. Instead amarok crashes.

-- Backtrace (Reduced):
#7  data (this=0x10, which=Qt::PreferredSize, constraint=...) at ../../src/corelib/tools/qscopedpointer.h:135
[...]
#9  d_func (this=0x10, which=Qt::PreferredSize, constraint=...) at ../../src/gui/graphicsview/qgraphicslayoutitem.h:120
#10 QGraphicsLayoutItem::effectiveSizeHint (this=0x10, which=Qt::PreferredSize, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:750
#11 0x9ac4fea7 in Context::VerticalAppletLayout::showAtIndex (this=0x9a49130, index=0) at /usr/src/debug/amarok-2.4.0/src/context/containments/verticallayout/VerticalAppletLayout.cpp:206
#12 0x9ac4e34c in Context::VerticalToolbarContainment::loadConfig (this=0x9a11870, conf=...) at /usr/src/debug/amarok-2.4.0/src/context/containments/verticallayout/VerticalToolbarContainment.cpp:98
Comment 6 Myriam Schweingruber 2011-03-19 11:20:32 UTC
*** Bug 268515 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-03-19 11:21:30 UTC
Confirmed by duplicates.
Comment 8 Myriam Schweingruber 2011-04-10 11:33:58 UTC
*** Bug 270494 has been marked as a duplicate of this bug. ***
Comment 9 Kevin Funk 2011-06-05 17:52:00 UTC
Git commit c4cceaf3a74804185ac2a1507e372107bd6253ec by Kevin Funk.
Committed on 05/06/2011 at 17:43.
Pushed by kfunk into branch 'master'.

Possible fix for crash in CV

FIXED-IN: 2.4.2
CCBUG: 265214

M  +1    -1    src/context/containments/verticallayout/VerticalAppletLayout.cpp     

http://commits.kde.org/amarok/c4cceaf3a74804185ac2a1507e372107bd6253ec
Comment 10 Myriam Schweingruber 2011-06-17 13:50:20 UTC
*** Bug 275898 has been marked as a duplicate of this bug. ***
Comment 11 Felix Juhnke 2011-07-26 15:06:17 UTC
Created attachment 62212 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:
I started amarok. After the splash screen was shown, the icon was visible in the tray. So I left-clicked on the icon. Then amarok crashes. The same occurs when right-click on the icon and choose "restore" (I use the German verson, so I have to select "wiederherstellen"). When I start amarok out of the terminal I get the following messages are displayed:
amarok(12253)/libplasma Plasma::FrameSvg::resizeFrame: Invalid size QSizeF(0, 0) 
amarok(12253)/libplasma Plasma::FrameSvg::resizeFrame: Invalid size QSizeF(0, 0) 
amarok(12253)/libplasma Plasma::FrameSvg::resizeFrame: Invalid size QSizeF(0, 0) 
amarok(12253)/libplasma Plasma::FrameSvg::resizeFrame: Invalid size QSizeF(0, 0)                                                                                                                                                             

When I start amarok in debug mode I get a lot of information, but if I paste it in here the maximum number of characters allowed to be transferred via drkonqi is exceeded.
Contact me, if you would like to have it.

Best regards

Felix

-- Backtrace (Reduced):
#7  data (this=0x10, which=Qt::PreferredSize, constraint=...) at ../../src/corelib/tools/qscopedpointer.h:135
[...]
#9  d_func (this=0x10, which=Qt::PreferredSize, constraint=...) at ../../src/gui/graphicsview/qgraphicslayoutitem.h:120
#10 QGraphicsLayoutItem::effectiveSizeHint (this=0x10, which=Qt::PreferredSize, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:750
[...]
#13 0xb69b3c79 in Context::ContextView::loadConfig() () from /usr/lib/libamaroklib.so.1
#14 0xb69b3f63 in Context::ContextView::showHome() () from /usr/lib/libamaroklib.so.1
Comment 12 Myriam Schweingruber 2011-07-27 12:24:52 UTC
Please all, test with Amarok 2.4.2 as soon as it is released, which is only a matter of days now.
Comment 13 Miroslav Suchy 2011-08-11 07:59:59 UTC
I experienced this problem with:
 amarok-2.4.1-1.fc15.x86_64
I upgraded to:
 amarok-2.4.3-1.fc15.x86_64.rpm
And I do confirm that this bug is not there now.
Comment 14 Myriam Schweingruber 2011-08-13 10:18:32 UTC
Thank you for the feedback.
Comment 15 Andreas Wachowski 2011-08-13 14:09:04 UTC
I can also confirm this is fixed (just upgraded from amarok-2.4.1-12.1.x86_64 to amarok-2.4.1-12.1.x86_64 on OpenSuse 11.4)